package net.benjidial.nswp;

import net.benjidial.nswp.commands.*;

import org.bukkit.plugin.java.JavaPlugin;

import java.util.logging.Logger;
import java.sql.SQLException;
import java.io.File;

public class Plugin extends JavaPlugin {
  public static Logger logger;

  public void onEnable() {

    logger = getLogger();
    getDataFolder().mkdirs();

    try {
      Database.connect(new File(getDataFolder(), "database.db").getPath());
      Database.createWBacks();
      Database.createTPATable();
    }
    catch (SQLException ex) {
      logger.severe("Database error (not enabling plugin):");
      ex.printStackTrace();
      return;
    }

    getCommand("wtpallow").setExecutor(new AllowTPA());
    getCommand("wdel").setExecutor(new DeleteWaypoint());
    getCommand("wtpdeny").setExecutor(new DenyTPA());
    getCommand("wlist").setExecutor(new ListWaypoints());
    getCommand("wrename").setExecutor(new RenameWaypoint());
    getCommand("wsave").setExecutor(new SaveWaypoint());
    getCommand("wtp").setExecutor(new TeleportToWaypoint());
    getCommand("wtpa").setExecutor(new TPA());
    getCommand("wback").setExecutor(new WaypointBack());

  }
}
