package net.benjidial.nswp.commands;

import net.benjidial.nswp.Database;

import org.bukkit.entity.Player;
import org.bukkit.Bukkit;

import java.sql.SQLException;
import java.util.List;

public class AllowTPA extends PlayerCommand {

  public List<String> getTabCompletions(Player sender, String[] args) throws SQLException {
    return filterByArg(Database.getOnlineTPADisallowedTo(sender), args, 0);
  }

  public boolean doCommand(Player sender, String[] args) throws SQLException {

    if (args.length != 1)
      return false;

    Player other = Bukkit.getPlayer(args[0]);
    if (other == null) {
      sender.sendMessage("Could not find " + args[0] + ". Are they online?");
      return true;
    }

    if (Database.isTPAAllowed(other, sender)) {
      sender.sendMessage(other.getName() + " is already allowed to teleport to you.");
      return true;
    }

    Database.allowTPA(other, sender);
    sender.sendMessage(other.getName() + " is now allowed to teleport to you.");
    return true;

  }

}
